#
# spec file for package kImageAnnotator
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover   0_2_1
%define libname libkImageAnnotator%{sover}
Name:           kImageAnnotator
Version:        0.2.1
Release:        bp153.2.2.1
Summary:        Tool for annotating images
License:        GPL-2.0-or-later
Group:          Development/Tools/Other
URL:            https://github.com/ksnip/kImageAnnotator
Source:         https://github.com/ksnip/kImageAnnotator/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM
Patch1:         0001-Improve-kcolorpicker-linking.patch
Patch2:         0001-Don-t-use-lowercase-Qt-keywords-in-public-headers.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  kColorPicker-devel >= 0.1.1
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(x11)

%description
kImageAnnotator is a tool for annotating images.

%package -n %{libname}
Summary:        Tool for annotating images
Group:          System/Libraries

%description -n %{libname}
kImageAnnotator is a tool for annotating images.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
Development files for %{name} including headers and libraries

%prep
%autosetup -p1

%build
%cmake \
    -DBUILD_EXAMPLE=ON
make %{?_smp_mflags}

%install
%cmake_install

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%license LICENSE
%{_libdir}/lib%{name}.so.%{version}

%files devel
%doc CHANGELOG.md README.md
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}
%{_includedir}/%{name}

%changelog
* Thu Apr 16 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patches to fix building against libkImageAnnotator:
  * 0001-Don-t-use-lowercase-Qt-keywords-in-public-headers.patch
  * 0001-Improve-kcolorpicker-linking.patch
- Update URLs to new location on GitHub
- Match the full soversion in %%files to prevent mismatches
* Wed Feb 26 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.2.1
  Fixes:
  * Edit border around text box doesn't disappear when done with
    editing.
  * Edit border not shown under Windows when NoFillNoBorder
    selected for Text Tool.
  * Drawing text tool rect from right to left and bottom top create
    no rect.
  * Text Tool FillType selection not saved.
  * Icons not scaled with HiDPI.
  * Text Cursor not show on Linux.
* Sun Feb  9 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.2.0
  New:
  * Edit text box content.
  * Panning image by holding space or mouse middle button and
    dragging.
  * Change annotation element config after drawing.
  Changed:
  * Increase blur level so that large text is not visible.
  * Crop widget updates shows via cursor if something is movable.
  * Multi-tool buttons select current (last) tool on single click.
  Fixed:
  * Unable to select number annotation when clicking on the number
    without background.
  * Ctrl Modifier stuck on second or third screenshot with Ctrl-N.
  * Undo/Redo is now disabled during crop and scale operation.
  * Mess with russian letters in text tool when typing in Russian.
  * Text tool does not allow me to type accents.
  * Highlighter rect and ellipse have only border but no fill.
  * Saved tool selection not loaded on startup.
  * On startup does not highlight tool, when this tool not the
    first item in the list.
  * Cursor image cannot be grabbed for moving.
  * Accents still not work in text tool on Linux.
* Sun Dec 29 2019 Martin Hauke <mardnh@gmx.de>
- Package stable release, version 0.1.0
- Add license file
* Thu Jun  6 2019 Андрей Алыпов <and.november@opensuse.org>
- initial package (version 0.0.2) for openSUSE
